#include "complexes.h"
#include <cmath>  // pour abs, sqrt, atan, cos, sin et M_PI

using namespace std;

double Complexe::theta() const {
    double const module(rho());
    double const precision(1e-15);
    if (abs(module) < precision)
      { return 0.0; } 
    else if ((abs(y_) < precision) and (x_ < 0.0))
      { return M_PI; }
    else
      { return 2.0 * atan(y_ / (x_ + module )); }
  }

  void Complexe::polaires(double module, double argument) 
  { x_ = module * cos(argument) ; 
    y_ = module * sin(argument) ; 
  }
